<md-content layout="row" layout-align="center center" layout-padding>
    <form  name="projectForm" class="loginform">

        <md-card  md-theme="{{ showDarkTheme ? 'dark-grey' : 'default' }}" md-theme-watch="">

            <md-input-container class="md-block">
                <label class="lableclass">UserName</label>
                <input required type="text" name="userEmail" ng-model="project.username" />
                <div ng-messages="projectForm.userEmail.$error" role="alert">
                    <div ng-message="required">This is required.</div>
                </div>
            </md-input-container>

            <md-input-container class="md-block">
                <label class="lableclass">Password</label>
                <input required type="password" name="password" ng-model="project.password">
                <div ng-messages="projectForm.password.$error">
                    <div ng-message="required">This is required.</div>
                </div>
            </md-input-container>
                    <div ng-if=error[0] class="alert alert-danger" style="color:red">{{error[0]}}</div>
            <md-input-container class="md-block">
                <md-button layout-align="center center" ng-click="login(project)" class="md-raised md-primary">Login</md-button>
            </md-input-container>
        </md-card>
    </form>
</md-content>